xawtv(1)

NOMBRE
xawtv - un programa X11 para ver la tele

SINOPSIS
xawtv [ opciones ] [ nombre cadena ]

DESCRIPCIÓN
xawtv es un programa para X11 para ver la tele en su equipo unix. Usa los widgets Athena.

OPCIONES
Todas las opciones de la línea de comandos tienen un recurso, por tanto puede ponerlas también en el fichero .Xdefaults.

-h, -help
    Muestra una breve descripción de todas las opciones de línea de comandos.

-hwscan
    Muestra una lista de los dispositivos disponibles.

-f, -fullscreen
    arranca en modo de pantalla completa.
    Recurso: xawtv.fullscreen (bool).

-n, -noconf
    no lee el fichero de configuración ($HOME/.xawtv).
    Recurso: xawtv.readconfig (bool).

-o, -outfile base
    establece la cadena base para los ficheros de capturas. El nombre del fichero será "base-fecha-nr.ext".
    Recurso: xawtv.basename (string).

-c, -device dispositivo
    establece el dispositivo video4linux (por defecto /dev/video0). Esta opción también deshabilita Xvideo.
    Recurso: xawtv.device (string).

-D, -driver nombre
    establece el driver video4linux (por defecto "libv4l"). Esta opción también deshabilita Xvideo.
    Recurso: xawtv.driver (string).

-C, -dspdev dispositivo
    establece el dispositivo de audio (por defecto /dev/dsp).
    Recurso: xawtv.dspdev (string).

-vbidev dispositivo
    establece el dispositivo vbi (por defecto /dev/vbi0).
    Recurso: xawtv.vbidev (string).

-c, -xvport número
    establece el puerto Xvideo (por defecto el primero que sea usable si Xvideo está disponible). Esta opción también habilita el soporte Xvideo.
    Recurso: xawtv.xvport (int).

-joydev dispositivo
    dispositivo del joystick a usar para controlar xawtv.
    Recurso: xawtv.joydev (string).

-v, -debug nivel
    Aporta mayor nivel de información, nivel puede ser 0 (por defecto), 1 o 2. Existe sólo para depuración y en caso de problemas.
    Recurso: xawtv.debug (int).

-remote
    el display X11 es remoto. Esto básicamente deshabilita el modo overlay, lo puede necesitar si xawtv no consigue detectar un display X11 remoto.
    Recurso: xawtv.remote (bool).

-b, -bpp n
    obliga a xawtv a usar un color de profundidad n. Funciona para seleccionar entre 15/16 y 24/32 bpp. Simplemente se le pasa la opción a v4l-conf(1).
    Recurso: xawtv.bpp (int).

-shift n
    Desplaza la imagen de video n bytes. Puede usar esta opción si la imagen de video no está dentro de la ventana del xawtv, algunas tarjetas antiguas matrox muestran este problema. Simplemente se le pasa la opción a v4l-conf(1).
    Recurso: xawtv.shift (int).

-fb Usa el dispositivo framebuffer para determinar la dirección del buffer de video (en lugar de la extensión DGA). De nuevo un simple paso de opciones.
    Recurso: xawtv.fbdev (bool).

-xv/-noxv
    habilita/deshabilita el uso de la extensión Xvideo (para overlay), por defecto está activado.
    Recurso: xawtv.xvideo (bool).

-scale/-noscale
    habilita/deshabilita el uso de la extensión Xvideo (para escalada por hardware en modo grabdisplay), por defecto está activado.
    Recurso: xawtv.hwscale (bool).

-vm/-novm
    habilita/deshabilita el uso de la extensión VidMode, por defecto desactivado. Si hay un modo a pantalla completa configurado en el fichero de configuración, entonces se habilitará automáticamente la extensión vidmode.
    Recurso: xawtv.vidmode (bool).

-dga/-nodga
    habilita/deshabilita el uso de la extensión DGA, por defecto activada.
    Recurso: xawtv.dga (bool).

-parallel n
    usa n hilos de compresión (por defecto: uno).
    Recurso: xawtv.parallel (int).

Se soportan también las opciones habituales del toolkit como -geometry.

HARDWARE / INTERFACES SOPORTADOS

v4l2
    video4linux dos - moderna Linux estándar de captura de vídeo API.

libv4l
    trabajo a través de la biblioteca libv4l, que proporciona una fina capa adicional en la parte superior de Video4Linux2 dispositivos de apoyo a la más amplia gama de formatos de dispositivos 'pixel (a menudo necesaria para cámaras web, etc). Es la interfaz por defecto en sistemas Linux.

bktr
    Driver para tarjetas bt848/878 para FreeBSD / OpenBSD.

Xvideo
    Extensión X11 para dispositivos de video. Tenga en cuenta que la extensión Xvideo sólo soporta overlay, no puede capturar imágenes o películas si se usa la extensión Xvideo. Por otra parte es la única manera para escalar video en overlay (por ejemplo, pantalla completa sin bordes negros a 1024x748) en el caso de que tanto el hardware como el driver xfree86 lo soporten. Mire el fichero README.xfree4 para más detalles y pistas para configurar Xvideo.

EMPEZANDO
Arranque xawtv. Entonces verifique las opciones del menú (botón derecho del ratón) y ajuste las opciones (norma de TV, fuente de video, tabla de frecuencias). Con las teclas del cursor puede controlar el sintonizador y buscar cadenas de TV. Otras teclas útiles se listan a continuación.

La tecla 'E' mostrará el editor de canales donde puede crear/editar entradas para sus cadenas de TV. No olvide pulsar en "save" para grabar el fichero de configuración. También puede crear o editar un fichero de configuración con cualquier editor de textos, vea xawtvrc(5) para la descripción de la sintaxis del fichero de configuración. Hay unas cuantas opciones de configuración que sólo se pueden establecer editando el fichero de configuración.

También puede probar scantv. Se trata de una herramienta de línea de comandos que realizará una búsqueda de canales y escribirá un fichero de configuración para el xawtv con todos los canales que haya encontrado.

  Funciones del ratón
El botón izquierdo del ratón mostrará un menú con todas las cadenas de TV encontradas en el fichero de configuración. El botón central cambia a la siguiente cadena. El botón derecho mostrará una ventana con un montón de opciones y funciones.

  Atajos de teclado
V            Captura de Video on/off
A            Audio on/off
F            Pantalla completa (Fullscreen) on/off
G            Capturar (Grab) imagen (tamaño completo, ppm)
J            Capturar imagen (tamaño completo, jpeg)
Ctrl+G       Capturar (Grab) imagen (tamaño ventana, ppm)
Ctrl+J       Capturar imagen (tamaño ventana, jpeg)
O            Muestra ventana de Opciones
C            Muestra ventana de Canales
E            Muestra Editor de canales
R            Muestra ventana de grabación AVI (Recording)
Z            Salto de canales (zapping, sintoniza cada cadena
             unos cuantos segundos)
Ctrl+Z       Salto rápido de canales (captura las imágenes para los
             botones de los canales)
arr./abaj.   sintoniza el anterior/siguiente canal
izq./der.    ajuste fino
repag/avpag  anterior/siguiente cadena (las del fichero de configuración)
espacio      siguiente cadena (lo mismo que repag.)
retroceso    cadena sintonizada anteriormente
Ctrl+arr.    busca la siguiente cadena
F5-F12       ajusta brillo/tonalidad/contraste/color
ESC,Q        Quitar
+/-          Subir o bajar volumen (en el teclado numérico)
Intro        silencio (teclado numérico)

BUGS
Los informes de bugs con imágenes adjuntas van a /dev/null sin ser vistos.

xawtv depende de una correcta configuración del driver. Si no puede sintonizar cadenas de TV incluso si los ajustes en la ventana de opciones son correctos, es muy posible que se trate de un asunto del driver.

La indicación mono/estéreo no es fiable debido a restricciones en el API del v4l. El API no informa del modo actual del audio, sino que devuelve una lista de los modos disponibles en ese momento. xawtv simplemente hace una suposición basándose en que el driver usa el mejor modo disponible. Dependiendo de su hardware puede que esto no sea cierto. Si duda de si de verdad el modo estéreo funciona, sintonice la MTV y escuche, no se fie en lo que le diga xawtv.

VEA TAMBIÉN
xawtvrc(5), fbtv(1), v4l-conf(1), scantv(1)
http://bytesex.org/xawtv/ (homepage)

AUTOR
Gerd Knorr <kraxel@bytesex.org>

COPYRIGHT
Copyright (C) 1997-2001 Gerd Knorr <kraxel@bytesex.org> This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

MISC
Eres el visitante 4711 de esta página.

TRADUCCIÓN
Página traducida al español por Ricardo Villalba <rvm@escomposlinux.org>